Solr 6.6 and OpenJDK11

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Solr 6.6 and OpenJDK11

solrnoobie
So we are having some production issues with solr 6.6 with OpenJDK 11. There
are a lot of heap errors (ours was set to 10gig on a 16 gig instance) and we
never encountered this until we upgraded from Oracle JDK 8 to OpenJDK 11.

So is it advisable to keep it at openjdk 11 or should we downgrade to
OpenJDK 8?



--
Sent from: http://lucene.472066.n3.nabble.com/Solr-User-f472068.html
Reply | Threaded
Open this post in threaded view
|

Re: Solr 6.6 and OpenJDK11

Jan Høydahl / Cominvent
Solr7 is the first Solr version that has been proved to work with JDK9+
So you better stick with Java8. Solr 7/8 will work with JDK11, and Solr 9 will likely require it.
Much more details to be found here: https://wiki.apache.org/solr/SolrJavaVersions

--
Jan Høydahl, search solution architect
Cominvent AS - www.cominvent.com

> 5. apr. 2019 kl. 05:46 skrev solrnoobie <[hidden email]>:
>
> So we are having some production issues with solr 6.6 with OpenJDK 11. There
> are a lot of heap errors (ours was set to 10gig on a 16 gig instance) and we
> never encountered this until we upgraded from Oracle JDK 8 to OpenJDK 11.
>
> So is it advisable to keep it at openjdk 11 or should we downgrade to
> OpenJDK 8?
>
>
>
> --
> Sent from: http://lucene.472066.n3.nabble.com/Solr-User-f472068.html

Reply | Threaded
Open this post in threaded view
|

Re : Re: Solr 6.6 and OpenJDK11

e_briere
In reply to this post by solrnoobie
There is a lack of consensus about Java 11 support. We have been recommended to stick to Java 8 even on Solr 7.X. Is the page bellow the 'official' position?

Eric.
<signaturebeforequotedtext></signaturebeforequotedtext>
Le 05/04/19 03:23, Jan Høydahl  <[hidden email]> a écrit :

>
> Solr7 is the first Solr version that has been proved to work with JDK9+
> So you better stick with Java8. Solr 7/8 will work with JDK11, and Solr 9 will likely require it.
> Much more details to be found here: https://wiki.apache.org/solr/SolrJavaVersions
>
> --
> Jan Høydahl, search solution architect
> Cominvent AS - www.cominvent.com
>
> > 5. apr. 2019 kl. 05:46 skrev solrnoobie <[hidden email]>:
> >
> > So we are having some production issues with solr 6.6 with OpenJDK 11. There
> > are a lot of heap errors (ours was set to 10gig on a 16 gig instance) and we
> > never encountered this until we upgraded from Oracle JDK 8 to OpenJDK 11.
> >
> > So is it advisable to keep it at openjdk 11 or should we downgrade to
> > OpenJDK 8?
> >
> >
> >
> > --
> > Sent from: http://lucene.472066.n3.nabble.com/Solr-User-f472068.html
>
>
<signatureafterquotedtext></signatureafterquotedtext>
Reply | Threaded
Open this post in threaded view
|

Re: Solr 6.6 and OpenJDK11

Jan Høydahl / Cominvent
The page below is just a draft for some wording that will go in the Reference Guide in next version.
You can stick with Java8 for Solr 7.x and 8.x as well, but in most cases Java11 will work just fine.

--
Jan Høydahl, search solution architect
Cominvent AS - www.cominvent.com

> 5. apr. 2019 kl. 15:04 skrev [hidden email]:
>
> There is a lack of consensus about Java 11 support. We have been recommended to stick to Java 8 even on Solr 7.X. Is the page bellow the 'official' position?
>
> Eric.
> <signaturebeforequotedtext></signaturebeforequotedtext>
> Le 05/04/19 03:23, Jan Høydahl  <[hidden email]> a écrit :
>>
>> Solr7 is the first Solr version that has been proved to work with JDK9+
>> So you better stick with Java8. Solr 7/8 will work with JDK11, and Solr 9 will likely require it.
>> Much more details to be found here: https://wiki.apache.org/solr/SolrJavaVersions
>>
>> --
>> Jan Høydahl, search solution architect
>> Cominvent AS - www.cominvent.com
>>
>>> 5. apr. 2019 kl. 05:46 skrev solrnoobie <[hidden email]>:
>>>
>>> So we are having some production issues with solr 6.6 with OpenJDK 11. There
>>> are a lot of heap errors (ours was set to 10gig on a 16 gig instance) and we
>>> never encountered this until we upgraded from Oracle JDK 8 to OpenJDK 11.
>>>
>>> So is it advisable to keep it at openjdk 11 or should we downgrade to
>>> OpenJDK 8?
>>>
>>>
>>>
>>> --
>>> Sent from: http://lucene.472066.n3.nabble.com/Solr-User-f472068.html
>>
>>
> <signatureafterquotedtext></signatureafterquotedtext>